Up

# NSDataLink

### Authors

Gregory John Casamento (`greg_casamento@yahoo.com`)
Scott Christley (`scottc@net-community.com`)

Copyright: (C) 1996, 2005 Free Software Foundation, Inc.

# Software documentation for the NSDataLink class

## NSDataLink : NSObject

> Declared in:
>   AppKit/NSDataLink.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.
Method summary

- -break
- -destinationApplicationName
- -destinationFilename
- -destinationSelection
- -disposition
- -initLinkedToFile:
- -initLinkedToSourceSelection:managedBy:supportingTypes:
- -initWithContentsOfFile:
- -initWithPasteboard:
- -lastUpdateTime
- -linkNumber
- -manager
- -noteSourceEdited
- -openSource
- -saveLinkIn:
- -setUpdateMode:
- -sourceApplicationName
- -sourceFilename
- -sourceSelection
- -types
- -updateDestination
- -updateMode
- -writeToFile:
- -writeToPasteboard:

### break

- (BOOL) break;
Availability: OpenStep
Description forthcoming.

### destinationApplicationName

- (NSString*) destinationApplicationName;
Availability: OpenStep
Description forthcoming.

### destinationFilename

- (NSString*) destinationFilename;
Availability: OpenStep
Description forthcoming.

### destinationSelection

- (NSSelection*) destinationSelection;
Availability: OpenStep
Description forthcoming.

### disposition

- (NSDataLinkDisposition) disposition;
Availability: OpenStep
Description forthcoming.

### initLinkedToFile:

- (id) initLinkedToFile: (NSString*)filename;
Availability: OpenStep
Description forthcoming.

### initLinkedToSourceSelection: managedBy: supportingTypes:

- (id) initLinkedToSourceSelection: (NSSelection*)selection managedBy: (NSDataLinkManager*)linkManager supportingTypes: (NSArray*)newTypes;
Availability: OpenStep
Description forthcoming.

### initWithContentsOfFile:

- (id) initWithContentsOfFile: (NSString*)filename;
Availability: OpenStep
Description forthcoming.

### initWithPasteboard:

- (id) initWithPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

### lastUpdateTime

- (NSDate*) lastUpdateTime;
Availability: OpenStep
Description forthcoming.

### linkNumber

- (NSDataLinkNumber) linkNumber;
Availability: OpenStep
Description forthcoming.

### manager

- (NSDataLinkManager*) manager;
Availability: OpenStep
Description forthcoming.

### noteSourceEdited

- (void) noteSourceEdited;
Availability: OpenStep
Description forthcoming.

### openSource

- (BOOL) openSource;
Availability: OpenStep
Description forthcoming.

### saveLinkIn:

- (BOOL) saveLinkIn: (NSString*)directoryName;
Availability: OpenStep
Description forthcoming.

### setUpdateMode:

- (void) setUpdateMode: (NSDataLinkUpdateMode)mode;
Availability: OpenStep
Description forthcoming.

### sourceApplicationName

- (NSString*) sourceApplicationName;
Availability: OpenStep
Description forthcoming.

### sourceFilename

- (NSString*) sourceFilename;
Availability: OpenStep
Description forthcoming.

### sourceSelection

- (NSSelection*) sourceSelection;
Availability: OpenStep
Description forthcoming.

### types

- (NSArray*) types;
Availability: OpenStep
Description forthcoming.

### updateDestination

- (BOOL) updateDestination;
Availability: OpenStep
Description forthcoming.

### updateMode

- (NSDataLinkUpdateMode) updateMode;
Availability: OpenStep
Description forthcoming.

### writeToFile:

- (BOOL) writeToFile: (NSString*)filename;
Availability: OpenStep
Description forthcoming.

### writeToPasteboard:

- (void) writeToPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

Up